<?php

declare(strict_types=1);

/*
 * This file is part of the Ferienpass package.
 *
 * (c) Richard Henkenjohann <richard@ferienpass.online>
 *
 * For more information visit the project website <https://ferienpass.online>
 * or the documentation under <https://docs.ferienpass.online>.
 */

namespace Ferienpass\CoreBundle\Messenger;

use Symfony\Component\Messenger\Stamp\StampInterface;

final class LocaleStamp implements StampInterface
{
    public function __construct(private readonly string $locale)
    {
    }

    public function getLocale(): string
    {
        return $this->locale;
    }
}
